Subject: Re: bug#1073: 23.0.60; Bad interaction between compilation-scroll-output and dedicated windows

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Fri, 03 Oct 2008 15:46:47 +0200

martin rudalics wrote:
>> I did not try the patch so maybe I misunderstand it. But is not the
>> problem that (current-buffer) is not the same as (window-buffer)?
> 
> Yes.  But the real problem is that `select-window' returns immediately
> (that is, without making its buffer current) when its argument is the
> selected window.

Thanks, that was what I thought. That is why I am suggesting the
defmacro. I think it would be useful and it is not dangerous to
introduce it. Even in a feature freeze and can be of value to fixing
problems with this strange behaviour of select-window. And the semantic
of the defmacro could be the same even if select-window is "corrected".

And the changes, but since you did not answer to that I guess I was
misunderstanding something there.